# Debian 11/12 - Kivitendo 3.5.8 installation

### OS:
* LXC Template Debian ```debian-11-standard_11.6-1_amd64```
* System auf DE@UTF-8 stellen:
```dpkg-reconfigure locales```

* .DEB Pakete installieren:
```
apt update && apt upgrade -y && apt install  apache2 libarchive-zip-perl libclone-perl \
  libconfig-std-perl libdatetime-perl libdbd-pg-perl libdbi-perl \
  libemail-address-perl  libemail-mime-perl libfcgi-perl libjson-perl \
  liblist-moreutils-perl libnet-smtp-ssl-perl libnet-sslglue-perl \
  libparams-validate-perl libpdf-api2-perl librose-db-object-perl \
  librose-db-perl librose-object-perl libsort-naturally-perl \
  libstring-shellquote-perl libtemplate-perl libtext-csv-xs-perl \
  libtext-iconv-perl liburi-perl libxml-writer-perl libyaml-perl \
  libimage-info-perl libgd-gd2-perl libapache2-mod-fcgid \
  libfile-copy-recursive-perl postgresql libalgorithm-checkdigits-perl \
  libcrypt-pbkdf2-perl git libcgi-pm-perl libtext-unidecode-perl libwww-perl \
  postgresql-contrib poppler-utils libhtml-restrict-perl \
  libdatetime-set-perl libset-infinite-perl liblist-utilsby-perl \
  libdaemon-generic-perl libfile-flock-perl libfile-slurp-perl \
  libfile-mimeinfo-perl libpbkdf2-tiny-perl libregexp-ipv6-perl \
  libdatetime-event-cron-perl libexception-class-perl libcam-pdf-perl \
  libxml-libxml-perl libtry-tiny-perl libmath-round-perl \
  libimager-perl libimager-qrcode-perl librest-client-perl libipc-run-perl \
  \
  texlive-base-bin texlive-latex-recommended texlive-fonts-recommended \
  texlive-latex-extra texlive-lang-german ghostscript latexmk \
  \
  libreoffice 
  ```

  ### Kivitendo Source
  ```
  cd /var/www/
  git clone https://github.com/kivitendo/kivitendo-erp.git
  cd kivitendo-erp/
  git checkout `git tag -l | egrep -ve "(alpha|beta|rc)" | tail -1`
  mkdir webdav
  chown -R www-data users spool webdav templates users
  cp config/kivitendo.conf.default config/kivitendo.conf
  ```

  ### PostgreSQL 
  * Datei: /etc/postgresql/13/main/postgresql.conf: DB hört auf allen Interfaces
  ```
      listen_addresses = '*' 
  ```
  * Datei: /etc/postgresql/13/main/pg_hba.conf: Login für DB-User Kivitendo einrichten
  ```
  local   all             kivitendo                               password
  host    all             kivitendo       127.0.0.1/32            password
  ```
  * psql Einstellungen:
  ```
  su - postgres
  pgsql
  \password postgres
    (Passwort für user postgres vergeben)
    \q
  ```
  * Datenbakuser anlegen:
  ```createuser -d -P kivitendo``` oder mit kivitendo als superuser:
  ```createuser -s -P kivitendo```

  ### Webserver
  * Datei etc/apache2/sites-enabled/000-default.conf vom GIT-Repo nach /etc/apache2/sites-enabled/000-default.conf kopieren
  * ```a2enmod fcgid rewrite && systemctl restart apache2```
  
  ### Taskserver
  * Kopiere systemd-Startskript und aktiviere den Taskserver
  ```
  cp /var/www/kivitendo-erp/scripts/boot/systemd/kivitendo-task-server.service /etc/systemd/system/ \
  && systemctl daemon-reload \
  && systemctl enable kivitendo-task-server.service \
  && systemctl start kivitendo-task-server.service
  ```

  ### Drucken
  * paket latexmk muss installiert sein! (ist oben schon drin!)
  * Datei ```/var/www/kivitendo-erp/templates/shabbatec_tex/inheaders.tex``` ändern:
  ```
  \usepackage{scrpage2} mit \usepackage{scrlayer-scrpage} ersetzen
  ```
